apiVersion: apiextensions.crossplane.io/v1
kind: CompositeResourceDefinition
metadata:
  name: xterraformgkenodepools.custom-api.example.org
spec:
  group: custom-api.example.org
  names:
    kind: XTerraformGkeNodepool
    plural: xterraformgkenodepools
  claimNames:
    kind: TerraformGkeNodepool
    plural: terraformgkenodepools
  versions:
  - name: v1alpha1
    served: true
    referenceable: true
    schema:
      openAPIV3Schema:
        type: object
        properties:
          spec:
            type: object
            properties:
              clusterName:
                type: string
              location:
                type: string
              nodepoolName:
                type: string
              machineType:
                type: string
              nodeCount:
                type: string
              diskSize:
                type: string
            required:
              - clusterName
              - location
              - nodepoolName
              - machineType
              - nodeCount
              - diskSize
  
